Changes in QMPlay2 build 19.09.03:
    - fix possible compilation error with FFTSpectrum (all OSes) and PortAudio (macOS),
    - add code for finding VA-API and VDPAU drivers directory (useful for AppImage),
    - fixes in "QMPlay2.1", "QMPlay2.desktop", "QMPlay2.appdata.xml",
    - improve checking for EGL in X11 - less possibility to fail,
    - add (again) YouTube quality settings into settings widget,
    - update translation files (martinkg, Alexey Lugin),
    - allow only YUV420P videos in VideoToolBox,

Changes in QMPlay2 build 19.08.27:
	- a lot of VA-API improvements including zero-copy on OpenGL (some old drivers might cease to work - I can't test them),
	- fix loading of QMPlay2 modules (on some OS'es it leads to crash),
	- improve full screen switching (fixes regression since 18.12.26),
	- add "CustomUserAgent" into a "General" section in QMPlay2.ini,
	- fix black video when decoding videos with color palette,
	- add option to disable subtitles at program startup,
	- remove QMake build system, added Android to CMake,
	- display FFT spectrum in logarithmic scale,
	- improve displaying of graphical subtitles,
	- rewrite MediaBrowser, now use JavaScript,
	- a lot of YouTube and youtube-dl changes,
	- show native window file path separator,
	- add "opennew" command line argument,
	- display lyrics from file metadata,
	- fix language codes for MKV files,
	- add initial colorspace support,
	- add stereo channels swapping,
	- add "always on top" option,
	- bugfixes and improvements,
	- LastFM scrobble fixes,
	- require FFmpeg 3.3,

Changes in QMPlay2 build 18.12.26:
	- use audio resampler/channel converter before filters/visualization (default option),
	- fixed loading Ogg Opus file when file extension is "ogg" in tag editor,
	- improved Youtube detection by YouTube extension (youtu.be),
	- don't load CUE files which uses more then one audio file,
	- fixed mono playback with different volume per channel,
	- added key shortcuts and OSD for video adjustments,
	- updated Ukrainian and Hungarian translation files,
	- fixed YouTube seeking on streams with subtitles,
	- update Ukrainian and German translation files,
	- don't load playlist files within other files,
	- added *.opus to Windows file association,
	- use QSaveFile for QMPlay2FileWriter,
	- add 1440p into YouTube presets,
	- replaced Datmusic by MyFreeMP3,
	- removed direct zlib dependency,
	- minor workarounds for Qt 5.12,
	- CUVID fixes for FFmpeg 4.0,
	- minor bugfix,

Changes in QMPlay2 build 18.07.03:
	- added button to open URL from playlist entry properties,
	- fix possible crash when group is synchronized,
	- use new FFmpeg 3.1 API for decoding frames,
	- autodetection of pasted YouTube address,
	- fix sorting playlist items by length,
	- drop support for FFmpeg < 3.1,
	- add FFmpeg 4.0 compatibility,
	- minor QPainter HiDPI fix,

Changes in QMPlay2 build 18.04.01:
	- enable audio fade in/out on play/stop for video contents,
	- fix problems with playlist quick sync,
	- update Hungarian translation file,
	- update for Wbijam changes,
	- fix proxy on Windows,

Changes in QMPlay2 build 18.03.02:
	- allow to move video and subtitles in OpenGL2 video output (Ctrl and Shift key modifiers),
	- add option to automatically perform non-recursive quick sync on playlist group,
	- add high quality video scaling in OpenGL2 video output (disabled by default),
	- add bit-perfect audio option for PortAudio module on macOS (René Bertin),
	- automatically restore main window when new video file is loaded (option),
	- move "My radio stations" into "Radio Browser" tab and add Drag and drop,
	- properly open YouTube M3U8 live streams (through youtube-dl),
	- option to convert media file after download (e.g. to MP3),
	- audio fade in/out is now disabled for video contents,
	- don't unpause when seeking (default option),
	- QPainter video output optimizations,
	- add sorting YouTube search results,
	- add Hungarian translation file,
	- fix subtitles on YouTube,
	- contrast improvements,

Changes in QMPlay2 build 17.12.31:
	- automaticaly rotate movie or set spherical view if is set in metadata,
	- update Ukrainian translation file (Alexey Lugin),
	- add reading of CUE files,
	- VA-API/OpenGL fixes,

Changes in QMPlay2 build 17.12.11:
	- use pan gesture for scrolling on Windows (native) and Android (QScroller),
	- add task bar playback progress and tool buttons on Windows,
	- drop support for Qt < 5.6, CMake < 3.1, and FFmpeg < 2.5,
	- add Ukrainian translation file (Alexey Lugin),
	- update Russian translation file (victorr2007),
	- more mouse interaction with system tray,
	- remove already fixed Qt bug workarounds,
	- use Qt5 JSON parser instead of Json11,
	- add Toast notifications for Android,
	- simplify LineEdit using Qt 5.2 API,
	- remove SoundCloud and ProstoPleer,
	- use "QCommandLineParser",

Changes in QMPlay2 build 17.10.24:
	- add option to stop playback after every file,
	- fix crash in FFmpeg settings on Windows XP,
	- add Datmusic (VK) as Pleer replacement,
	- fix possible crash in RadioBrowser,

Changes in QMPlay2 build 17.10.04:
	- command line seeking bugfix,
	- update for Wbijam changes,
	- CUVID bugfix,

Changes in QMPlay2 build 17.09.16:
	- fix playback position regression introduced in 17.09.13,
	- update German translation (martinkg),

Changes in QMPlay2 build 17.09.13:
	- add "makeitpersonal.co" fallback to Tekstowo,
	- play JPEG videos and photos using CUVID,
	- option to disable MPEG4 videos in CUVID,
	- update German translation (martinkg),
	- add frame skipping for HWAccel,
	- better handling HWAccel errors,
	- allow downloading HLS streams,
	- speed-up subtitles rendering,
	- fix seeking on HLS streams,
	- fix DXVA2 for Radeon GPUs,
	- fix crashes:
		- double-free when VA-API can't be initialized in new video and it was already used in previous video,
		- possible nullptr dereference in VideoThr (since 17.06.09),
		- VDPAU with FFMpeg 3.3,

Changes in QMPlay2 build 17.07.25:
	- minor CUVID bugfix (missing PTS in some videos),
	- added option to hide artist metadata,
	- Tekstowo: minor improvement,
	- don't delete Radio settings,
	- minor QPainter bugfix,
	- fix YouTube images,

Changes in QMPlay2 build 17.06.09:
	- load next video decoder if current video decoder fails (fixes some VideoToolBox problems),
	- more accurate seeking (use double type instead of seconds in integer),
	- 17 ms is now default value for visualizations refresh time,
	- allow to automatically remove ungrouped playlist entries,
	- stepping to previous frame (experimental),
	- improve Radio module - add Radio Browser,
	- move playback settings to options menu,
	- use name from playlist for downloader,
	- accurate playback position on slider,
	- increase default buffer sizes,
	- support for OpenSSL 1.1,
	- bugfix,

Changes in QMPlay2 build 17.04.21:
	- automatically reconnect network streams on error (fixes some problems with YouTube playback),
	- accurate seeking (available in playback settings, enabled for network streams by default),
	- minor network backward seeking bugfix (regression),
	- option to reconnect live network streams on error,
	- add experimental VideoToolBox decoder for macOS,
	- use Opus as default codec for YouTube videos,
	- use OpenGL as option for visualizations,
	- improve downloading from YouTube,
	- improve full screen on macOS,
	- fix ReplayGain in APE,
	- CUVID bugfix,

Changes in QMPlay2 build 17.04.02:
	- seek to 0 position when repeat entry is enabled,
	- fix drawing smooth cover images (regression),
	- updated Russian translation (victorr2007),
	- high dpi scaling enabled only for macOS,
	- use SVG icons (new QtSvg dependency),
	- fixed "QMPlay2.appdata.xml" file,
	- handle multimedia keys on macOS,
	- minor network seeking fixes,
	- bugfix,

Changes in QMPlay2 build 17.03.17:
	- playlists from MediaBrowser and YouTube are no longer loaded by temporary file,
	- replace Http class by NetworkAccess and use it in more places,
	- use Freedesktop notifications for all notifications (option),
	- use macOS native notifications for additional notifications,
	- option to enable/disable still images (disabled by default),
	- show notification about new version on Linux and macOS,
	- save playlists with relative file path (autodetection),
	- added option to toggle playback on left mouse button,
	- add XSPF support (thanks Zamarin Arthur for help),
	- merge ProstoPleer and SoundCloud in MediaBrowser,
	- allow to load profile from command line argument,
	- move YouTubeDL from YouTube to shared library:
		- "youtube-dl" is downloaded automatically without question (if necessary),
		- you can see notifications about downloading/updating "youtube-dl",
		- "youtube-dl" can be removed from settings,
	- add Anime Odcinki and Wbijam to MediaBrowser,
	- rename "Notifies" module to "Notify" module,
	- add SoundCloud support (Zamarin Arthur),
	- CMake improvements for Windows host,
	- better HiDPI support (Qt5 only),
	- allow to run in portable mode,
	- move version to source file,
	- API versioning for modules,
	- add "appdata.xml" file,
	- add Tekstowo lyrics,
	- switch to C++11,
	- minor bugfix,

Changes in QMPlay2 build 17.02.12:
	- fix updating covers (also title, artist and album outside QMPlay2) in network streams,
	- add "Skip" and "Stop after" flags for playlist (Zamarin Arthur),
	- add "Lock" flag for playlist entry - don't allow to remove it,
	- equalizer improvements (presets must be set again),
	- display cover arts in Freedesktop notifications,
	- scale VU meters in Simple Visualization,
	- minor improvements and bug fixes,
	- add quick group synchronization,
	- add Profiles (Zamarin Arthur),
	- displaying still images,
	- add full macOS support,

Changes in QMPlay2 build 16.12.23:
	- new Notifications module (Zamarin Arthur),
	- use cookies obtained from "youtube-dl",
	- add Bauer stereophonic-to-binaural DSP,
	- updated German translation (martinkg),
	- add audio dynamic range compressor,
	- bugfix,

Changes in QMPlay2 build 16.11.20:
	- display real FPS and interlaced video information on Information panel,
	- VA-API displays using OpenGL (default behavior),
	- updated German translation (martinkg),
	- add DXVA2 decoder (limited features),
	- fix seeking on interlaced videos,
	- CUVID bugfix,

Changes in QMPlay2 build 16.11.01:
	- properly read styles from MPL, MicroDVD and SubRip format,
	- add CUVID decoder,
	- bugfix,

Changes in QMPlay2 build 16.10.14:
	- fix issue (deadlock/crash) if playback has been stopped when FFmpeg resolves a hostname,
	- PortAudio fixes (especially for Windows),
	- better finding subtitles files for video,
	- bugfix,

Changes in QMPlay2 build 16.09.24:
	- use namespace on libmodplug - don't mix system and QMPlay2 modplug,
	- fix screen saver inhibition regression,

Changes in QMPlay2 build 16.09.21:
	- updated icon for YouTube quality button,
	- fix screen saver blocking behavior,
	- OpenGL2 bugfix,

Changes in QMPlay2 build 16.09.04:
	- don't load subtitles which needs decoder without the decoder,
	- add checkbox to disable PBO in OpenGL2 module settings,
	- fix displaying multi-line graphical subtitles,
	- don't crop non-graphics subtitles on zoom,
	- add quality button in YouTube browser,
	- download "youtube-dl" if necessary,
	- get rid of "QtNetwork" module,
	- add MPEG-TS programs support,

Changes in QMPlay2 build 16.08.19:
	- add key shortcuts editor to Settings (thanks Zamarin Arthur for help),
	- respect HTML tags in classic subtitles,
	- use scroll area for equalizer sliders,
	- add presets to equalizer,
	- playlist bugfix,
	- OpenGL2 bugfix,

Changes in QMPlay2 build 16.07.20:
	- don't fetch the stream url twice on add and play action (speed up YouTube video opening),
	- move most settings Ui from C++ to Qt forms (thanks Zamarin Arthur for help),
	- play the entire audio if playback has been finished (don't drop samples),
	- block screen saver also on full screen when only audio is playing,
	- add sharpness to video adjustment (OpenGL2 and VDPAU only),
	- add key bindings (currently only in settings file),
	- sort current group instead of entire playlist,
	- HW and SW filters settings in the same place,
	- rename video equalizer -> video adjustment,
	- fix OGG pictures for taglib 1.11 and newer,
	- fix bug in tag editor (non-Windows OS'es),
	- updated Russian translation (victorr2007),
	- fix downloading cover art from Last.fm,
	- move OpenGL2 shaders to resources,
	- handle multimedia keys on Windows,
	- properly handle chained OGG files,
	- add sharpness shader to OpenGL2,
	- display toolbar in compact view,
	- move online contents to GitHub,
	- Windows updater fixes,
	- add contributors tab,
	- bugfix,

Changes in QMPlay2 build 16.07.07:
	- Ubuntu Unity integration (MPRIS2 and shortcut groups),
	- added video equalizer to "Settings/Video filters",
	- new "Concept" icons by Alexey Varfolomeev,
	- updated Russian translation (victorr2007),
	- properly add many files containing tracks,
	- better detection of subtitles text codec,
	- handle audio parameters changes,
	- MPRIS2, CMake and PLS fixes,

Changes in QMPlay2 build 16.07.02:
	- update pause and buffered data information when demuxer is busy,
	- move "modules" directory from "share/qmplay2" to "lib/qmplay2",
	- allow file group and Audio CD tracks synchronization:
		- synchronize automatically when loading the same playlist into a group,
		- synchronize automatically when loading Audio CD tracks,
		- on "F5" key,
	- show more warnings in VDPAU and appearance settings,
	- fixed color in graphics subtitles (e.g. dvdsub),
	- reading files doesn't depend on FFmpeg module,
	- hide mouse cursor when cover image is visible,
	- updated Russian translation (victorr2007),
	- allow mouse wheel to change the volume,
	- show blurred covers as a background,
	- added CMake build (Zamarin Arthur),
	- OpenGL2 now uses PBO if available,
	- bugfix,

Changes in QMPlay2 build 16.06.01:
	- diplaying and filtering all planar 8-bit YUV pixel formats (only OpenGL2 and QPainter video outputs)
	- allow to display only file names in playlist,
	- update Russian translation (victorr2007),
	- allow to detach from receiving commands,
	- allow to remember the repeat mode,
	- added random and repeat playback,
	- minor fixes in FPS and A/V sync,
	- support video size changes,
	- fix "rawvideo" playback,
	- bugfix,

Changes in QMPlay2 build 16.05.06:
	- split muted icon to muted and not muted,
	- bugfix,

Changes in QMPlay2 build 16.05.02:
	- fixed command line argument processing (now is possible to properly open or enqueue multiple files on Linux),
	- playlist uses floating-point variables for storing length (accurate group length information),
	- added audio balance (right click on volume slider to split channels),
	- don't play next entry after playback error by default,
	- fix restoring dock widgets state and window geometry,
	- added YouTube playlists and subtitles,
	- restore mute state on start-up,
	- seeking improvements,
	- bugfix,

Changes in QMPlay2 build 16.04.23:
	- VDPAU decoder without VDPAU writer is now available (disabled by default),
	- added spherical view for video playback (Ctrl+3; OpenGL only),
	- added Simplified Chinese translation (king Lee),
	- move video filtering to separate thread,
	- added Yadif deinterlacing filter,
	- better frame skipping,
	- replay gain fixes,
	- bugfix,

Changes in QMPlay2 build 16.03.24:
	- XVideo SHM and OpenGL2(Qt >= 5.6) bugfix,
	- Bob deint bugfix for odd video height/2,

Changes in QMPlay2 build 16.03.11:
	- update Russian translation (victorr2007),
	- update ProstoPleer address,

Changes in QMPlay2 build 16.03.08:
	- feature: suspend the computer after playback is finished,
	- fix VA-API driver Intel >= 1.6.2 video filtering,
	- fix slow seeking on some slow network streams,
	- zero-copy demuxing and decoding (if possible),
	- updated Russian translation (victorr2007),
	- 90°/270° video rotation (OpenGL only),
	- visualization and VDPAU/DDraw bugfix,
	- feature: A-B Repeat,
	- OpenGL 2 bugfix,

Changes in QMPlay2 build 16.02.08:
	- play multiple streams in FFmpeg, YouTube can play different audio/video streams together,
	- move ungrouped playlist entry to the end of the playlist when the file already exists,
	- QOpenGLWindow and QOpenGLWidget are used instead of QGLWidget in Qt5 >= 5.6,
	- FFmpeg module can play e.g. v4l2 on Linux/BSD (needs special address),
	- display icons on playlist for AudioCD and Chiptines,
	- updated German translation (Daniel Meiß-Wilhelm),
	- added Spanish translation (Pedro Álamo),
	- VDPAU and DirectDraw overlay fixes,
	- English is now default language,
	- bugfix,

Changes in QMPlay2 build 15.12.25:
	- KF5 Breeze style fixes in full screen,
	- Qt5 <= 5.2 compilation fixes,
	- OpenGL 2 bugfix,

Changes in QMPlay2 build 15.12.06:
	- support for HEVC, VP8 and VP9 decoding in VA-API (depending on FFmpeg version),
	- setting priorities of decoders and A/V outputs is now more convenient,
	- improve QOpenGLWidget performance (Qt5 only, not used by default),
	- support for HEVC decoding in VDPAU (depending on FFmpeg version),
	- simple visualization shows RMS of displayed signal in side bars,
	- fixes in AudioCD module, so any tracks must be added again,
	- falling horizontal lines behave better in visualizations,
	- play next entry after playback error (as default),
	- removed console for Windows,
	- added chiptune playback,
	- fix decoding Bink Video,
	- bugfix,

Changes in QMPlay2 build 15.10.18:
	- new OpenGL 2 module (with OpenGL|ES 2.0 support) replaces the old OpenGL module,
	- due to new libass 0.13.0, FontConfig is used only on 32-bit Windows XP,
	- correct display information about buffered time and size,
	- DirectDraw improvements,
	- many minor fixes,

Changes in QMPlay2 build 15.10.03:
	- user can hide menu bar by pressing Alt+Ctrl+M or from "Widgets" context menu,
	- minimum and maximum frequency in equalizer can be changed,
	- basic WebVTT subtitles support (SRT module),
	- added preamp and dB tooltip to equalizer,
	- fixed possible deadlock in AudioCD,
	- small bugfix,

Changes in QMPlay2 build 15.08.12:
	- deinterlacing fixes in VAApi,
	- minor fixes for Windows,
	- MPRIS2 bugfix,

Changes in QMPlay2 build 15.07.13:
	- fixed problem from previous release with playing video (sometimes video plays at maximum speed),

Changes in QMPlay2 build 15.07.12:
	- keyboard shortcut (Shift+L) for locking widgets,
	- fixed seeking by searching key frames in buffer,
	- aspect ratio is now correctly updated,
	- fixed playback in live streams,
	- small fixes in video playback,
	- VAApi bugfix,

Changes in QMPlay2 build 15.06.26:
	- better VSync support for OpenGL video output,
	- OpenSLES audio output (for Android),
	- basic OS X support,
	- minor bug fixes,

Zmiany w QMPlay2 build 15.06.06:
	- większy pasek zmiany rozmiaru okien dla ekranów dotykowych,
	- zoom na ekranie dotykowym (pinch gesture),
	- poprawiony odczyt okładek płyt z katalogu,
	- kompatybilność z FFmpeg 2.0 oraz 2.1,
	- AudioCD jako osobny moduł,

Zmiany w QMPlay2 build 15.05.30:
	- poprawa drag and drop na playliście,
	- przyspieszenie ładowania playlisty,
	- poprawa operacji na katalogach,
	- poprawa drobnych błędów,

Zmiany w QMPlay2 build 15.05.10:
	- poprawa wyszukiwania w YouTube,

Zmiany w QMPlay2 build 15.03.28:
	- opuszczenie okna przez mysz w trybie pełnoekranowym powoduje zamknięcie wszystkich widgetów,
	- możliwość wybrania domyślnego języka dla napisów i dźwięku,
	- HttpReader i FileReader zastąpiony przez FFReader,
	- obsługa większej liczby formatów w YouTube,
	- zmiany w domyślnym układzie okienek,
	- FFmpeg nie używa już HttpReader,
	- zmiany w oknie "Informacje",
	- poprawki w napisach pgssub,
	- możliwość zapisania grupy,
	- zgodność z FFmpeg 2.6,
	- poprawa błędów,

Zmiany w QMPlay2 build 14.12.28:
	- poprawione wczytywanie czcionek z katalogu z napisami (nie sa przeszkiwane rekursywnie),
	- główny pasek narzędzi może być oddokowany od głównego okna,
	- poprawiony crash programu skompilowanego z AVResample,
	- poprawione wyświetlanie tytułów YouTube na playliście,
	- poprawa drobnych błędów,

Zmiany w QMPlay2 build 14.12.23:
	- poprawione przerywanie odtwarzania podczas pracy "youtube-dl" oraz z protokołami innymi niż HTTP i HTTPS,
	- możliwość przewijania do tyłu w strumieniach sieciowych bez ponownego łączenia się z serwerem,
	- MPRIS2 obsługuje już nazwy utworów nawet gdy nie zawierają one tytułu,
	- usunięta możliwość aktualizacji w systemach innych niż Windows,
	- automatyczna aktualizacja programu "youtube-dl",
	- drobne poprawki wyszukiwania w YouTube,
	- dodany cache do klasy ustawień,
	- usprawnienie buforowania,

Zmiany w QMPlay2 build 14.12.01:
	- wczytywanie czcionek napisów z katalogu, w którym znajdują się napisy ASS/SSA,
	- dodany "User-Agent" dla połączeń HTTP (ProstoPleer znowu działa),
	- poprawa kompilacji dla Windows x86-64,
	- drobne poprawy błędów,

Zmiany w QMPlay2 build 14.10.07:
	- przywrócone działanie napisów ASS z kontenera Matroska w FFmpeg 2.4.x,
	- obsługa zmiany metadanych przy użyciu FFmpeg 2.4.x,
	- możliwość pamiętania ustawień korektora wideo,
	- sortowanie dodawanych katalogów do playlisty,
	- poprawa działania YouTube,
	- dodana obsługa pleer.com,
	- poprawa działania OpenGL,
	- poprawki błędów,

Zmiany w QMPlay2 build 14.07.27:
	- ikony mogą być wczytywane z systemowego zestawu ikon (opcja domyślna, Linux, BSD), dodane zostały też nowe ikony,
	- obsługa dowolnego serwisu wideo poprzez program "youtube-dl" (w menu dodawania adresu),
	- obsługa filtrów redukcji szumów, ostrości i poziomów skalowania obrazu w VDPAU,
	- możliwość blokowania widgetów (usuwa pasek tytułu oraz blokuje pasek narzędzi),
	- możliwość wczytywania modułów z katalogu ustawień (~/.qmplay2/Modules),
	- możliwość ustawiania kolorów i tapety (podobnie jak w QMPlay1),
	- usprawnienia w odczycie/zapisie playlisty,
	- obsługa ReplayGain (domyślnie wyłączone),
	- zmiana sposobu zapisu pozycji okna,
	- usprawnione przełączanie strumieni,
	- obsługa MPRIS2 (tylko Linux/BSD),
	- poprawiona obsługa "youtube-dl",
	- obsługa obrazków w plikach OGG,
	- drobne poprawki w HttpReader,
	- poprawa działania VDPAU,
	- poprawa obsługi HTTPS,
	- inne drobne zmiany,
	- poprawki błędów,

Zmiany w QMPlay2 build 14.03.05:
	- poprawione działanie YouTube - obsługa poprzez program "youtube-dl" (wymagane podanie ścieżki w opcjach),
	- tytuł płyty AudioCD wyświetlany jako album,
	- poprawiony błąd z odświeżaniem OSD,
	- poprawione błędy w edycji tagów,

Zmiany w QMPlay2 build 14.02.17:
	- poprawiony problem z kompilacją z taglib1.8,

Zmiany w QMPlay2 build 14.02.16:
	- dodana obsługa bazy danych CDDB (freedb.org, freedb.musicbrainz.org),
	- dodana możliwość edycji tagów (użyta biblioteka taglib),
	- poprawione różne błędy związane z VAApi,
	- szybsze przełączanie ścieżek w AudioCD,
	- poprawione drobne błędy w FFDecSW,
	- dodany efekt echa,
	- drobne poprawki,

Zmiany w QMPlay2 build 14.01.10:
	- dodana obsługa algorytmów usuwających przeplot dla kart Intela w VAApi (VAEntrypointVideoProc),
	- poprawa wielu błędów w VAApi,
	- drobne poprawki w kodzie,

Zmiany w QMPlay2 build 14.01.05:
	- możliwość dekodowania poprzez VDPAU wydobywając klatkę obrazu (opcjonalne, zobacz "FFmpeg.pro"),
	- poprawa kompilacji z starszą wersją alsa-lib,
	- możliwość odtwarzania losowego w grupie,
	- poprawa działania i stabilności VAApi,
	- drobne poprawki w "VDPAU Writer",

Zmiany w QMPlay2 build 14.01.03:
	- poprawa błędu związanego ze zmianą parametrów metody "processParams()" w "PrepareForHWBobDeint",

Zmiany w QMPlay2 build 14.01.02:
	- automatyczne wyszukiwanie poprawnych parametrów dla dźwięku (kanały, próbkowanie),
	- możliwość dodawania własnych stacji radiowych,
	- poprawa modułu ALSA i PortAudio,

Zmiany w QMPlay2 build 13.12.31:
	- poprawiony błąd modułu ALSA - program sie sypał przy braku kart dźwiękowych,
	- dodane niemieckie tłumaczenie (Daniel Meiß-Wilhelm),
	- poprawa menu "Ustawienia odtwarzania",
	- możliwość zapisywania okładek,
	- poprawki w kodzie,

Zmiany w QMPlay2 build 13.12.15:
	- dodana możliwość ustawiania kart w górnej części okna głównego,
	- dodana możliwość wyboru kanałów audio w menu "Odtwarzanie",
	- przywrócenie działania HWAccel z FFmpeg 1.2,
	- poprawa drobnych błędów,

Zmiany w QMPlay2 build 13.12.07:
	- możliwość automatycznego otwieranie okienka z filmem podczas otwierania filmu,
	- przywrócenie komunikacji z sourceforge.net (w tym aktualizacji),
	- losowe odtwarzanie utworów bez powtórzeń,
	- zezwolenie na tylko jedną instancję,
	- poprawki błędów,

Zmiany w QMPlay2 build 13.10.24:
	- pokazywanie rzeczywistej ilości klatek na sekundę,
	- drobne poprawki w module "ALSA",
	- poprawa regulacji głośności,
	- poprawa OSD w DirectDraw,
	- inne poprawki błędów,

Zmiany w QMPlay2 build 13.09.20:
	- wprowadzona obsługa LastFM oraz wczytywanie okładek z LastFM,
	- obsługa połączeń internetowych przez serwer proxy,
	- poprawa wyświetlania OSD w XVideo i DirectDraw,
	- dodane dekodowanie sprzętowe przez VDPAU,
	- optymalizacja wyświetlania OSD,
	- poprawa modułu ALSA,
	- poprawki błędów,

Zmiany w QMPlay2 build 13.09.08:
	- poprawa błędu z podawaniem złego indeksu strumienia,
	- dodana obsługa tytułów z SHOUTcast,
	- dodany moduł wyjścia dźwięku ALSA,
	- poprawa odtwarzania dźwięku WMA,

Zmiany w QMPlay2 build 13.09.01:
	- poprawki wyświetlania filmów w OpenGL i XVideo (tylko niektóre rozmiary klatek nie działały poprawnie),
	- dodane francuskie tłumaczenie (Alex Thierry, athierry.pro@gmail.com),
	- możliwość wybrania kolejności otwierania dekoderów (w tym VAApi),
	- więcej informacji o strumieniach (jaki dekoder i writer używany),
	- usuwanie przeplotu przeniesione do nowej karty w oknie ustawień,
	- filtry obrazu w osobnych modułach, możliwość wyboru filtrów,
	- pytanie o zamknięcie programu podczas ściągania plików,
	- nowy filtr dźwiękowy - odwracanie fazy,
	- drobne poprawki,

Zmiany w QMPlay2 build 13.08.18:
	- wiele zmian w kodzie programu, które umożliwiły filtrowanie obrazu (np. klasy: VideoFrame, VideoFilters, VideoFilter, DeintFilter),
	- tooltip dla tytułu w wyszukiwarce YouTube, poprawa działania oraz możliwość otwierania tylko dźwięku,
	- dodane filtrowanie obrazu (obecnie tylko usuwanie przeplotu: Discard, Blend, Bob),
	- możliwość zmiany skali w widmie FFT oraz drobne poprawki,
	- dodana obsługa equalizera obrazu do OpenGL i QPainter,
	- możliwość kompilacji z AVResample zamiast SWResample,
	- możliwość wyboru formatu pliku dla zrzutów ekranu,
	- skróty klawiszowe dla regulacji głośności,
	- poprawione działanie equalizera dźwięku,
	- uniezależnienie dekodera od demuxera,
	- zmiana numeracji wersji na YY.MM.DD,
	- pozbycie się funkcji getYV12Size(),
	- dodane rosyjskie tlumaczenie,
	- poprawa synchronizacji A/V,
	- poprawa działania VAApi:
		- usuwanie przeplotu z podwojoną liczbą klatek na sekundę,
		- działający equalizer obrazu, obsługa napisów,
		- możliwość tworzenia zrzutów ekranu,
		- mniej błędów dekodowania,
	- wiele drobnych poprawek,

Zmiany w QMPlay2 build 12VII2013:
	- "File" i "Network" zostały połączone w "Readers",
	- "BrowserEngine" zastąpiony dodatkiem "YouTube",
	- poprawa odczytu czcionek OTF z plików MKV,
	- możliwość odtwarzania klatka po klatce,
	- dodana szybkość pobierania plików,
	- poprawa drobnych błędów,

Zmiany w QMPlay2 build 25V2013:
	- początek wsparcia dla Qt5 (Q_WS_X11 w środowisku X11 należy zdefiniować ręcznie, XVideo ma problemy z odtwarzaniem),
	- wklejony wpis do playlisty pojawia się na końcu, jeżeli żaden inny wpis nie jest zaznaczony,
	- poprawiony błąd uniemożliwiający kontrolowanie programu spoza GUI,
	- drobne poprawki w DirectDraw XVideo, OpenGL,
	- opcja "Zawsze usuwaj przeplot" już działa,
	- poprawa wczytywania obrazków okładek,
	- przywrócenie serwisu Wrzuta.pl,

Zmiany w QMPlay2 build 19V2013:
	- możliwość automatycznego pomijania niektórych klatek filmu (jeżeli procesor okaże się za słaby),
	- poprawa zatrzymania odtwarzania podczas otwierania strumienia internetowego,
	- możliwość pobierania filmów bezpośrednio z wyszukiwarki YouTube,
	- dodane ikonki oraz kilka drobnych zmian w GUI,
	- ładowanie pluginów niezależne od wersji Qt,
	- poprawione błędy,

Zmiany w QMPlay2 build 17II2013:
	- poprawiona płynność filmów w niektórych przypadkach (zły odczyt pts/dts),
	- dodany nowy współczynnik proporcji - zależny od rozmiaru klatki,
	- odczyt większej ilości tagów (w tym obrazki w oknie filmów),
	- nowa opcja - scroll myszki przewija muzykę/film,
	- poprawione drobne błędy,

Zmiany w QMPlay2 build 04II2013:
	- możliwość ustawienia jako domyślny odtwarzacz AudioCD w Windows,
	- możliwość otwierania AudioCD (wybór akcji odtwarzania) w KDE,
	- domyślnie wybierany jest pierwszy strumień, a nie ostatni,
	- odczyt protokołu MMS jako "mms://" zamiast "mmsh://"
	- poprawiona zmiana szybkości odtwarzania w Windows,
	- nowy sygnał - usuwanie wpisów z playlisty,
	- poprawiona jakość resamplingu,
	- poprawione drobne błędy,

Zmiany w QMPlay2 build 20I2013:
	- plannar audio support in new FFmpeg,

Zmiany w QMPlay2 build 23XII2012:
	- poprawiona obsługa napisów pgssub, dvdsub,
	- przywrócenie działania YouTube,

Zmiany w QMPlay2 build 01XII2012:
	- wizualizacja pokazuje rzeczywisty odtwarzany dźwięk po zmiksowaniu kanałów lub zmanie częstotliwości próbkowania,
	- poprawione błędne skróty klawiszowe dla Windows uniemożliwiające pisanie polskich znaków,
	- przewijanie do przodu nie kasuje zbuforowanego fragmentu podczas odtwarzania z Internetu,
	- widoczne widgety w trybie pełnoekranowym są takie same jak w trybie okinkowym,
	- "Prosta wizualizacja" ma możliwość ustawiania długości wyświetlanego dźwięku,
	- wprowadzone wyjście obrazu DirectDraw dla Windows (domyślne dla Windows XP),
	- domyślna ścieżka dla zrzutów ekranu jest teraz w "Moich obrazach",
	- poprawiona obsługa OSD w OpenGL,
	- drobne poprawki,

Zmiany w QMPlay2 build 03XI2012:
	- informacje lub błędy wyświetlane w dzienniku lub na standardowym wyjściu są wyświetlane także na pasku stanu,
	- domyślny katalog w Windows dla pobieranych plików oraz zrzutów ekranu jest teraz w "Moich dokumentach",
	- poprawione drobne błędy,
	- dodana obsługa AudioCD,

Zmiany w QMPlay2 build 29X2012:
	- poprawiony odczyt napisów innych niż ASS/SSA w nowych wersjach FFmpeg i libASS,
	- dodana możliwość skojarzenia plików z QMPlay2 w systemie Windows,
	- okienko dialogowe zmiany szybkości odtwarzania,
	- poprawa przechodzenia z/do pełnego ekranu,
	- drobne poprawki błędów i udoskonalenia,
	- dodana nowa wizualizacja - WidmoFFT,

Zmiany w QMPlay2 build 22X2012:
	- usunięcie "_gui" z nazw plików,
	- poprawione błędy, inne zmiany,
	- automatyczne aktualizacje,
	- nowy parametr "--quit",

Zmiany w QMPlay2 build 13X2012:
	- poprawione odtwarzanie filmów FPS < 1 (np. nagrania z pulpitu, odtwarzanie filmów wymaga testów!),
	- poprawione drobne błędy,

Zmiany w QMPlay2 build 06X2012:
	- poprawiona stabilność programu podczas używania wyciszania po zakończeniu odtwarzania,
	- dodana opcja zachowywania szybkości odtwarzania między plikami,
	- poprawiony błąd w Prostej Wizualizacji,

Zmiany w QMPlay2 build 02X2012:
	- dodane losowe odtwarzanie oraz skróty klawiszowe dla zapętlania odtwarzania,
	- drobne poprawki w interfejsie graficznym,
	- drobna poprawa odtwarzania filmów,

Zmiany w QMPlay2 build 01X2012:
	- dodana obsługi formatu muzycznego z gry Rayman2 (*.apm),
	- dadana obsługa nieskompresowanych plików PCM i float,
	- poprawione wybieranie jakości filmów na YouTube,
	- nowości w generatorze częstotliwości,
	- radia internetowe (znane z QMPlay1),
	- poprawki w wizualizacji,
	- inne zmiany i poprawki,

Zmiany w QMPlay2 build 27IX2012:
	- przywrócenie do działania serwisu YouTube,

Zmiany w QMPlay2 build 26IX2012:
	- obsługa "transfer-encoding: chunked" w "HttpReader" (poprawa działania YouTube),
	- menu "Widgety" wyprowadzone na główny pasek,
	- dodany generator częstotliwości,
	- dodany equalizer dźwięku,
	- wiele poprawek i nowości,

Zmiany w QMPlay2 build 16IX2012:
	- porządki w kodzie oraz poprawiona stabilność programu podczas wyłączania,
	- dodana obsługa filtrów dźwięku (w tym testowe - usuwanie wokalu),
	- przywrócenie działania serwisu YouTube,
	- poprawki w wizualizacji,
	- poprawki w odtwarzaniu,

Zmiany w QMPlay2 build 12IX2012:
	- klawisze strzałek nie przewijają muzyki/filmu kiedy lista odtwarzania jest wybrana,
	- poprawione okna ustawień dla modułów (usunięcie klasy "SettingsObjects"),
	- dodawane są rozszerzenia do pobranych plików z Wrzuty/YouTube,
	- możliwość przywrócenia domyślnych ustawień w QMPlay2,
	- przeglądanie dziennika zmian w programie,
	- poprawki błędów oraz porządki w kodzie,

Zmiany w QMPlay2 build 06IX2012:
	- poprawa "Prostej Wizualizacji" (obciążenie procesora przy wyłączonej wizualizacji),
	- możliwość pobierania plików z Internetu (np. z YouTube),
	- poprawa błądów i drobne zmiany,
	- poprawiony moduł HttpReader,

Zmiany w QMPlay2 build 02IX2012:
	- podmenu "Rozszerzenia" a w nim możliwość wyszukania zaznaczonego utworu przez moduł "BrowserEngine"
	- wizualizacja "Prosta wizulaizacja" znana z programu QMPlay1,
	- poprawione niektóre błędy,

Zmiany w QMPlay2 build 31VIII2012:
	- okno dialogowe podczas uaktualniania pamięci podręcznej czcionek w systemue Windows,
	- możliwość zapamiętywania opóźnienia obrazu względem dźwięku po przełączeniu plików,
	- po odświeżeniu listy aktualnie odtwarzany element zostanie zaznaczony ponownie,
	- uaktualnianie danych typu tytuł jeżeli zostanie zmieniony podczas odtwarzania,
	- rozszerzenia playlisty podczas wczytania/zapisywania,
	- ustawianie opóźnienia obrazu w oknie dialogowym,
	- wyciszanie podczas zatrzymywania odtwarzania,
	- uaktualnianie tytułu okna,
	- różne zmiany i poprawki,

Zmiany w QMPlay2 build 29VIII2012:
	- poprawa wybudzenia wątku "DemuxerThr" przez wątki klasy "AVThread" (w systemie Windows były wyraźne przerwy w dźwięku podczas pracy z innymi oknami),
	- drobne poprawki z informacjami o zbuforowanych danych,

Zmiany w QMPlay2 build 28VIII2012:
	- możliwość buforowania paczek A/V dla strumieni internetowych (także informacje o ilości dnych w buforze w formie bajtów i sekund),
	- wątek "DemuxerThr" obsługuje zdarzenia z Qt, użyte są zdarzenia do wybudzenia wątku zamiast "bufferFullCond",
	- przeglądarka YouTube korzysta ze strony "gdata.youtube.com",
	- możliwość przewijania przy odtwarzaniu strumienia "rtsp",
	- dodana obsługa formatu Amiga SoundFX (.sfx),
	- dodany przycisk "Wyszukaj" w BrowserEngine,
	- zmiana kursora na zajęty podczas pracy,
	- możliwość pogłośnienia > 100%,
	- wiele innych zmian i poprawek,

Zmiany w QMPlay2 build 23VIII2012:
	- drobne poprawki i ulepszenia,

Zmiany w QMPlay2 build 22VIII2012:
	- nowe skróty klawiszowe myszki (zoom, współczynnik proporcji),
	- dodana możliwość odrwacania obrazu pionowo i poziomo,
	- poprawa blokady wygaszacza ekranu w środowisku X11,
	- poprawa stabilności,

Zmiany w QMPlay2 build 13VIII2012:
	- poprawa działania VSync w OpenGL (szczególnie dotyczy sterownika fglrx),
	- dźwięk nie "przycina" w Windows podczas pracy z innymi oknami,
	- poprawa synchronizacji obrazu z dźwiękiem po przewijaniu,
	- mała poprawa wydajności dekodowania dźwięku,
	- stosowanie ustawień podczas odtwarzania,
	- poprawa działania YouTube,
	- poprawa stabilności,

Zmiany w QMPlay2 build 02VIII2012:
	- wbudowanie libmodplug wraz z obsługą formatu J2B,

Zmiany w QMPlay2 build 24VII2012:
	- możliwość znajdowanie demuxera po rozszerzeniu pliku (jeżeli demuxer wymaga rozszerzeń pliku),
	- poprawa stabilności programu,

Zmiany w QMPlay2 build 23VII2012:
	- wyłączone działanie OpenGL tylko wtedy, kiedy nie ma rozszerzenia "GL_ARB_texture_non_power_of_two",

Zmiany w QMPlay2 build 22VII2012:
	- zmiana szybkości dźwięku przy zmienionej szybkości odtwarzania,
	- miksowanie kanałów i zmiana częstotliwości próbkowania,
	- wybór różnych jakości dla YouTube,

Zmiany w QMPlay2 build 21VII2012:
	- obsługa muzyki w formacie MOD,
	- poprawki w kodzie,

Zmiany w QMPlay2 build 20VII2012:
	- dokładniejsze ustawienie timera dla Windows - płynniejsze odtwarzanie,
	- zmieny w kodzie - FFDemuxer i FFDecoder na Demuxer i Decoder,
	- blokada wygaszacza ekranu w Windows,
	- poprawiona Wrzuta.pl,
	- poprawa błędów,

Zmiany w QMPlay2 build 11VII2012:
	- przystosowanie QMPlay2 do nowego FFmpeg (np. poprawne odtwarzanie MP3, poprawne przewijanie w długich filmach),
	- poprawa działania YouTube,

Zmiany w QMPlay2 build 04V2012:
	- dodane OSD kiedy wyłączone zostaną napisy lub dźwięk,
	- dodany krektor wideo (na razie działa tylko z XVideo),

Zmiany w QMPlay2 build 27IV2012:
	- poprawiłem wczytanie napisów przez wtyczkę "Classic Subtitles",
	- drobne poprawy błędów,

Zmiany w QMPlay2 build 21IV2012:
	- poprawiona obsługa formatu APE,
	- drobne poprawki,

Zmiany w QMPlay2 build 08IV2012:
	- dodana obsługa napisów MicroDVD, TMP, MPL2 dla plików z rozszerzeniami (*.sub, *.txt),

Zmiany w QMPlay2 build 07IV2012:
	- jednakowa wielkość napisów dla wszystkich rozmiarów filmów ( nie obowiązuje ASS, chyba że wymuszono w opcjach ),
	- poprawiona szybkość skalowania w QPainter dla niektórych wartości ZOOM'a,
	- automatyczny odczyt czcionek zawartych w kontenerach filmów ( np. MKV ),
	- lepsze wykrywanie napisów UTF-8 ( użycie BOM ),
	- uaktualnione tłumaczenie,

Zmiany w QMPlay2 build 06IV2012:
	- poprawione drobne błędy,
	- dodałem obsługe pluginów dekodowania napisów,
	- dodałem obsługę napisów SRT ( jako plugin ),
	- aktualizacja działania YouTube,

Zmiany w QMPlay2 build 10III2012:
	- poprawione drobne błędy,
	- dodane nowe sygnały: toggle( play/stop ), next, prev, stop,

Zmiany w QMPlay2 build 05II2012:
	- możliwość dodawania utworów do listy poprzez sygnał,
	- bardziej rozbudowane okno właściwości,
	- poprawione działanie pluginu OpenGL,
	- możliwość tworzenia zrzutów ekranu,
	- menu kontekstowe w BrowserEngine,
	- poprawione drobne błędy,

Zmiany w QMPlay2 build 03II2012:
	- możliwość dodawania adresu bezpośrednio np. z Wrzuty i YouTube, trochę bardziej rozbudowane okno dialogowe dodawania adresu,
	- klikanie środkowym przyciskiem myszki w obszarze Wideo powoduje wciśnięcie przycisku play/pause.
	- szybsze wczytywanie strumieni, które odtwarzają się zaraz po dodaniu do listy,
	- odczyt tytułu i ikonek z YouTube i Wrzuty,
	- poprawione drobne błędy,

Zmiany w QMPlay2 build 23I2012:
	- poprawa działania YouTube,
	- drobne zmiany,

Zmiany w QMPlay2 build 25XII2011:
	- dodane skróty klawiszowe dla czyszczenia playlisty,
	- poprawione odtwarzanie niektórych filmów ( błędne PTS/DTS ),
	- usunięta kolumna "Rozmiar" w BrowserEngine,

Zmiany w QMPlay2 build 24XII2011:
	- użyłem nowej funkcji avcodec_decode_audio4(),
	- pliki, które nie były obsługiwane przez FFmpeg są zamykane po próbie ich odtworzenia,

Zmiany w QMPlay2 build 16XII2011:
	- proprawa wykrywania długości muzyki/filmu dla nowego FFmpeg 0.9,
	- poprawa błędu z aktualizacją skryptów w BrowserEngine ( np. podwójne wpisy ),

Zmiany w QMPlay2 build 04XII2011:
	- poprawa wyszukiwania na YouTube,
	- możliwość ustawienia wielkości bufora dla strumieni internetowych ( domyślnie teraz jest 64KiB ),
	- drobne poprawki,

Zmiany w QMPlay2 build 12XI2011:
	- wstępna obsługa YouTube,

Zmiany w QMPlay2 build 09XI2011:
	- drobne przyspieszenia w OpenGL,
	- modyfikacja ikonki podczas odtwarzania utworu,

Zmiany w QMPlay2 build 06X2011:
	- poprawnie wyświetlany bitrate dźwięku,
	- dokładniej pokazywany bitrate,
	- w informacjach pokazywana jest nazwa pliku i ścieżka do pliku osobno,

Zmiany w QMPlay2 build 02X2011:
	- konwersja tagów napisów zwykłych z HTML do ASS przywrócona,
	- poprawa płynności niektórych filmów ze złym PTS/DTS,

Zmiany w QMPlay2 build 29IX2011:
	- możliwość wyłączenia OSD,
	- możliwość wyboru kodowania napisów,
	- autowyszukiwanie napisów w katalogu,
	- nieco poprawione wyświetlanie napisów w XVideo,

Zmiany w QMPlay2 build 28IX2011:
	- jest obsługa napisów w XVideo, ale nie nadaje się jeszcze do użytku,
	- poprawiona natychmiastowa zamiana stylów ASS/SSA dla wczytanych napisów z pliku,
	- drag 'n drop na okno "Wideo" pozwala no odtworzenie przeciąganego filmu lub wczytanie napisów,
	- poprawione stosowanie własnych stylów dla napisów ASS/SSA,
	- poprawione przyciski wybierania kolorów ( gorszy wygląd, lepsze działanie ),

Zmiany w QMPlay2 build 27IX2011:
	- opóźnienia napisów można wpisać w oknie dialogowym,
	- zmiana skrótów klawiszowych dla zmiany opóźnień napisów,
	- pozostawienie opóźnienia i wielkości napisów między plikami,
	- poprawiona synchronizacja A/V i dekodowanie dźwięku w niektórych plikach,
	- usunięte "StandardSubtitles" z klasy libASS ( oznacza to mniej kodu i lepsze wyświetlanie napisów innych niż ASS/SSA ),
	- możliwość ustaiwienia wielkości odtwarzanego filmu jeżeli używane są napisy ASS/SSA,
	- drobne poprawki,
	- opcje napisów i OSD,

Zmiany w QMPlay2 build 25IX2011:
	- odczyt napisów ASS/SSA z osobnego pliku,
	- drobne poprawki,

Zmiany w QMPlay2 build 23IX2011:
	- odczytu napisów innych niż ASS,
	- poprawa odczytu współczynnika proporcji,
	- drobne poprawki w odświeżaniu "Informacji",

Zmiany w QMPlay2 build 22IX2011:
	- możliwość zmiany sposobu dekodowania wielowątkowego,
	- pokazywany jest bitrate aktualnie odtwarzanego dźwięku i obrazu,
	- poprawa odczytu napisów ASS,
	- drobne poprawki,

Zmiany w QMPlay2 build 21IX2011:
	- wyższa jakość napisów,
	- OSD podczas przewijania filmu za pomocą strzałek w trybie pełnoekranowym,
	- zmiana rozmiaru napisów,
	- drobne poprawki,

Zmiany w QMPlay2 build 20IX2011:
	- poprawione napisy ASS/SSA podczas przewijania do tyłu,
	- filmy, których szerokość nie jest podzielna na 8 nie są już przycinane,
	- poprawne wyświetlanie w czasie napisów typu pgssub,
	 - poprawione drobne bugi w GUI w trybie pełnoekranowym,

Zmiany w QMPlay2 build 19IX2011:
	- obsługa napisów wzbogacona o np. pgssub i ASS/SSA,
	- obsługa napisów w QPainter,
	- drobne poprawki,

Zmiany w QMPlay2 build 16IX2011:
	- podstawowa obsługa napisów ( nie ma np. obsługi napisów ASS, napisy odczytywane ) tylko we wtyczce OpenGL,
	- poprawa działania pluginu OpenGL ( może nieprawidłowo działać z filmami w wysokich rozdzielczościach jeżeli w systemie jest jego stara wersja ),
	- drobne poprawki,

Zmiany w QMPlay2 build 13IX2011:
	- zmieniony uchwyt okna z obrazem ( mniej błędów, np. ze sterownikami fglrx, łatwiejsze programowanie ),
	- drobne poprawki błędów playlisty,
	- w oknie "Wideo" widać czarno-niebieski gradient,
	- głośność działa,

Zmiany w QMPlay2 build 8IX2011:
	- poprawione odtwarzanie filmów o nietypowych rozdzelczościach,
	- wtyczka XVideo nie uruchamia się jeżei nie obsługuje tego sterownik,
	- wtyczka PulseAudio nie uruchamia się jeżei nie jest ma uruchomionego serwera PA,

Zmiany w QMPlay2 build 4IX2011:
	- poprawiony błąd w opcjach OpenGL,
	- poprawiona płynność filmów ( złe zaokrąglanie wartości PTS/DTS ),
	- funkcja pomijania klatek ustawiana ręcznie zamiast automatycznie ( większa stabilność ),

Zmiany w QMPlay2 build 23VIII2011:
	- poprawiona zmiana strumienia video ( jeżeli w pliku jest ich więcej niż jeden ),
	- wykrywanie domyślnego strumienia,
	- poprawiona obsługa formatu APE,

Zmiany w QMPlay2 build 20VIII2011:
	- nowe podmenu ( Okno->Widgety ),
	- klawisz "Escape" wychodzi z pełnego ekranu,
	- dodałem nowe opcje dla pluginów,
	- dodałem możliwość ustawiania kolejności ładowania modułów wyjścia obrazu,
	- poprawiłem stabilność podczas przełączania plików,
	- możliwość zatrzymania ładowania playlisty,
	- poprawione przełączanie plików przy zwiniętym katalogu w playliście,
	- podczas wychodzenia z pełnego ekranu ustawienie trybu kompaktowego jest pamiętane,

Zmiany w QMPlay2 build 12VIII2011:
	- każdy moduł wymaga teraz QtGui ( łatwiejsze programowanie, mniejsza możliwość rozbudowy np. o interfejs konsolowy ),
	- poprawy w działaniu wtyczek wyjściowych video ( szczególnie XVideo i HWAccel-VAApi ),
	- duże zmiany we wtyczkach wyjściowych ( np. inne zarządzanie oknem ),
	- logo QMPlay2 w oknie video,
	- poprawa przełączania plików ( teraz pluginy się już nie wyłączaniu po zakończeniu odtwarzania {bug} ),
	- rozpoczęcie wprowadzania OSD ( np. napisy do filmów ),
	- poprawa synchronizacji A/V - pomijania klatek ( błąd występował w poprzedniej wersji ),
	- poprawna synchronizacja A/V podczas wielowątkowego dekodowania,

Zmiany w QMPlay2 build 17VII2011:
	- drobne poprawy błędów,
	- nowa ikonka,

Zmiany w QMPlay2 build 13VII2011:
	- zmiana współczynnika proporcji na "A",
	- tworzenie nowej grupy na "F7" ( nowy skrót klawiszowy ),
	- resetowanie ustawień obrazu na "R",
	- poprawy GUI i VAApi dla X11,
	- możliwość resetowania HWAccel za każdym przełączeniem filmu ( przydatne np. dla vaapi-xvba ),
	- poprawne zaznaczanie proporcji obrazu w menu po przełączeniu filmu,
	- możliwość dekodowania w niskiej rozdzielczości ( nie działa z wszystkimi kodekami ),

Zmiany w QMPlay2 build 05VII2011:
	- wyrzucenie MSleep( int ), teraz jest Functions::s_wait( double ) ( w sekundach ),
	- poprawki błędów, stabilności ( OpenGL, GUI, etc... ),
	- troche dokładniejsze odmierzanie czasu dla Windows,

Zmiany w QMPlay2 build 04VII2011:
	- poprawione działanie OpenGL,
	- lepsze pomijanie klatek,
	- tymczasowo brak niektórych opcji FFmpeg ( są one wykrywane automatycznie ),
	- możliwość wyłączenia pomijania klatek,
	- usunięty wyciek pamięci podczas zamykania FFDemuxer ( występował w wersji 30VI2011 ),

Zmiany w QMPlay2 build 30VI2011:
	- nowa ikonka dla FFmpeg,
	- QMPlay2 działa teraz tylko z wersją FFmpeg 0.7 lub nowszą,
	- wtyczka wyjściowa dla PulseAudio,
	- opcje: zapamiętywanie zoom i współczynnika proporcji między plikami wideo,

Zmiany w QMPlay2 build 21VI2011:
	- poprawione "Idź do odtwarzanego",
	- poprawione czyszczenie filtra na playliście ( zaznaczony wpis jest widoczny po wyczyszczeniu ),
	- poprawione wyszukiwanie domyślnego urządzenia w PortAudio,
	- więcej opcji dla FFmpeg,
	- drobne poprawki,

Zmiany w QMPlay2 build 05VI2011:
	- włączanie / wyłączanie dźwięku / obrazu,
	- poprawki błędów i stabilności,
	- możliwość wyłączenia wymuszania VSync w OpenGL,
	- uaktualnione tłumaczenia,
	- zajęta myszka podczas ładowania listy,

Zmiany w QMPlay2 build 03VI2011:
	- poprawa drobnych błędów,
	- możliwość przeglądania wielu stron z wrzuty,
	- pasek postępu ładowania wrzuty,

Zmiany w QMPlay2 build 29V2011:
	- automatyczne wykrywanie zmian proporcji,
	- nowe rozszerzenie interfejsu: GUIExtensions,
	- wstępna obsługa serwisu wrzuta.pl,

Zmiany w QMPlay2 build 22V2011:
	- drobne błędy poprawione,
	- program pokazuje tytuł pliku,

Zmiany w QMPlay2 build 21V2011:
	- VAApi przeniesiony do osobnego modułu FFmpeg: VAApiWriter - nie zamyka teraz się za każdym otwarciem nowego pliku o tych samych parametrach,
	- poprawione drobne błędy związane z wątkami, GUI i zamykaniem programu,
	- VSync w OpenGL zawsze włączony dla wszystkich systemów,

Zmiany w QMPlay2 build 17V2011:
	- wiele poprawionych błędów w wątkach,
	- poprawione wykrywanie istniejącego wpisu,
	- poprawione przycinanie dźwięku w Windows,
	- możliwość kolejkowania w trybie pełnoekranowym,

Zmiany w QMPlay2 build 13V2011:
	- nowe klasy i lepsze zarządzanie wątkami i przełączaniem plików/strumieni ( zamiast PlayThr: PlayClass, DemuxerThr, VideoThr, AudioThr ),
	- możliwość włączenia / wyłączenia okienka CMD w Windows,
	- Windows Vista i Windows 7 mają teraz domyślnie natywny styl,
	- poprawne przełączanie plików na playliście,

15.08.2010: Start of work on QMPlay2!
